Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456824 - libxcb 1.1-1 causes jre 1.5 "Locking assertion failure" crash
Summary: libxcb 1.1-1 causes jre 1.5 "Locking assertion failure" crash
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libxcb
Version: 8
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-27 20:10 UTC by Lech Lobocki
Modified: 2018-04-11 11:45 UTC (History)
4 users (show)

Fixed In Version: 1.1-1.1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:51:35 UTC


Attachments (Terms of Use)

Description Lech Lobocki 2008-07-27 20:10:18 UTC
Description of problem:
The newly released libxcb 1.1-1 causes jre 1.5 to break
(can be a problem with jre, some complain about this
with other distros; however, libxcb 1.0-4 works fine)

Version-Release number of selected component (if applicable):
1.1-1

How reproducible:
100%

Steps to Reproduce:
1. upgrade libxcb from 1.0-4 to 1.1.1
2. run IDV 2.5 (downloaded from unidata.ucar.edu, contains jre)
3.
  
Actual results:

jre breaks with the infamous "Locking assertion failure" message,
giving traceback:

#0 /usr/lib/libxcb-xlib.so.0 [0xf7f88777]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0xf7f888d1]
#2 /usr/lib/libX11.so.6(_XReply+0xff) [0x9fc12f]
#3 /usr/local/IDV_2.5/jre/lib/i386/xawt/libmawt.so [0xcc344d3e]
#4 /usr/local/IDV_2.5/jre/lib/i386/xawt/libmawt.so [0xcc32ed47]
#5 /usr/local/IDV_2.5/jre/lib/i386/xawt/libmawt.so [0xcc32eec3]
#6 /usr/local/IDV_2.5/jre/lib/i386/xawt/libmawt.so(Java_sun_awt_X11GraphicsEnvir
onment_initDisplay+0x26) [0xcc32f106]
#7 [0xf1608028]
#8 [0xf1601b6b]
#9 [0xf1601b6b]
#10 [0xf15ff234]
#11 /usr/local/IDV_2.5/jre/lib/i386/server/libjvm.so [0xf780a75c]
#12 /usr/local/IDV_2.5/jre/lib/i386/server/libjvm.so [0xf79d8b48]
#13 /usr/local/IDV_2.5/jre/lib/i386/server/libjvm.so [0xf780a58f]
#14 /usr/local/IDV_2.5/jre/lib/i386/server/libjvm.so(JVM_DoPrivileged+0x32d) [0x
                 f7867d7d]
#15 /usr/local/IDV_2.5/jre/lib/i386/libjava.so(Java_java_security_AccessControll
                 er_doPrivileged__Ljava_security_PrivilegedAction_2+0x3d)
[0xf75892cd]
#16 [0xf16078b8]
#17 [0xf1601a94]
#18 [0xf15ff234]
#19 /usr/local/IDV_2.5/jre/lib/i386/server/libjvm.so [0xf780a75c]
java: xcb_xlib.c:82: xcb_xlib_unlock: Assertion `c->xlib.lock' failed.




Expected results:
just get the IDV working as usual

Additional info:

Comment 1 Adam Jackson 2008-07-28 01:14:30 UTC
Yeah, works in F9, just missed that bit of the backport.

Comment 2 Fedora Update System 2008-07-28 12:56:28 UTC
libxcb-1.1-1.1.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-07-30 20:11:56 UTC
libxcb-1.1-1.1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxcb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6894

Comment 4 Fedora Update System 2008-08-01 01:46:16 UTC
libxcb-1.1-1.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Tom Davidson 2008-08-01 05:13:58 UTC
Confirm that 1.1-1.1 fixes this behavior on my F8 install (see also comments
about this issue at bug 390261 and bug 452683) --Thanks Adam

Comment 6 Lech Lobocki 2008-08-01 09:10:10 UTC
Apparently there were two problems. After the fix, the java application
I am using (IDV) does not crash, but keeps complaining
(xlib lock assertion failure).

Comment 7 Matěj Cepl 2008-08-01 12:45:03 UTC
OK, so this bug could be closed as CURRENTRELEASE 1.1-1.1?

Comment 8 Lech Lobocki 2008-08-04 10:23:03 UTC
I think the reasons for generating error messages should be found 
(or, better, fixed) before closing the bug. These messages were not
produced with libxcb 1.0-4 in the same environment.

Comment 9 Adam Jackson 2008-08-11 12:53:02 UTC
(In reply to comment #8)
> I think the reasons for generating error messages should be found 
> (or, better, fixed) before closing the bug. These messages were not
> produced with libxcb 1.0-4 in the same environment.

Eh, kinda.  The problem is libX11 allows you to be sloppy about locking when multithreaded.  xcb tried to be more strict, but that breaks 20 year old assumptions.  So the fix is to just make xcb more tolerant when it's emulating libX11.

Comment 10 Orion Poplawski 2008-08-26 17:31:59 UTC
I'm still seeing these with IDL and 1.1-1.1:

Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0x2f8777]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0x2f883e]
#2 /usr/lib/libX11.so.6 [0x186168]
#3 /usr/lib/libX11.so.6(XSync+0x25) [0x17ae65]
#4 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xf980c3]
#5 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xdd3be4]
#6 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xdd3bff]
#7 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_RBtreeTraverse_ID+0x1b) [0
xdd41cc]
#8 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(_IDL_X_SyncDisplays+0x35) [0xf
98115]
#9 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(_IDL_x_drain_events2+0x3b) [0x
e49d84]
#10 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xe4681f]
#11 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_InterExit+0x24) [0xc769f4
]
#12 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_MessageThrowErrstate+0x1b
c) [0xca476d]
#13 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xca4cd5]
#14 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_Message+0x61) [0xca5326]
#15 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xf96208]
#16 /usr/lib/libX11.so.6(_XError+0xfe) [0x17f71e]
#17 /usr/lib/libX11.so.6 [0x186aaa]
#18 /usr/lib/libX11.so.6(_XEventsQueued+0x4f) [0x186f9f]
#19 /usr/lib/libX11.so.6(_XFlush+0x42) [0x187022]
Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0x2f8777]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0x2f883e]
#2 /usr/lib/libX11.so.6 [0x186168]
#3 /usr/lib/libX11.so.6(XSync+0x25) [0x17ae65]
#4 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xf980c3]
#5 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xdd3be4]
#6 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xdd3bff]
#7 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_RBtreeTraverse_ID+0x1b) [0
xdd41cc]
#8 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(_IDL_X_SyncDisplays+0x35) [0xf
98115]
#9 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(_IDL_x_drain_events2+0x3b) [0x
e49d84]
#10 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xe4681f]
#11 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_InterExit+0x24) [0xc769f4
]
#12 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_MessageThrowErrstate+0x1b
c) [0xca476d]
#13 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xca4cd5]
#14 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0(IDL_Message+0x61) [0xca5326]
#15 /opt/local/rsi/idl/bin/bin.linux.x86/libidl.so.7.0 [0xf96208]
#16 /usr/lib/libX11.so.6(_XError+0xfe) [0x17f71e]
#17 /usr/lib/libX11.so.6 [0x186aaa]
#18 /usr/lib/libX11.so.6(_XReply+0x15c) [0x18718c]
#19 /usr/lib/libX11.so.6(XSync+0x6a) [0x17aeaa]

and the application hangs.

Comment 11 Matěj Cepl 2008-08-29 23:31:24 UTC
(In reply to comment #8)
> I think the reasons for generating error messages should be found 
> (or, better, fixed) before closing the bug. These messages were not
> produced with libxcb 1.0-4 in the same environment.

Sorry, somehow your previous message I got only after posting mine.

Comment 12 Bug Zapper 2008-11-26 11:03:05 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2009-01-09 07:51:35 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.